<?xml version="1.0" encoding="UTF-8"?>
<MAPPTRAN desc_thai="ทะเบียนผู้สมัครโอนเป็นพนักงาน" desc_eng="Applicant to be Transferred List" editcheck="true" mainhelp="MAPPTRANHELP" referhelp="MAPPTRANHELP" mainkey="APPLICANTID" fieldsystem="*" deleteflag="true" config_field="">
	<FIELD>
		<APPLICANTID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<RELATION>MCANDIDATERE</RELATION>
			<DESC_ENG>Applicant ID</DESC_ENG>
			<DESC_THAI>รหัสผู้สมัคร</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Applicant ID</ALT_ENG>
				<ALT_THAI>รหัสผู้สมัคร</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APPLICANTID>
		<APPROVEDATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Approve Date</DESC_ENG>
			<DESC_THAI>วันที่อนุมัติ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Approve date</ALT_ENG>
				<ALT_THAI>วันที่อนุมัติ</ALT_THAI>
			</COMPONENT>
		</APPROVEDATE>
		<REQUESTID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>20</WIDTH>
			<RELATION>MREQUEST</RELATION>
			<DESC_ENG>Request ID</DESC_ENG>
			<DESC_THAI>รหัสคำขอกำลังพล</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Request ID</ALT_ENG>
				<ALT_THAI>รหัสคำขอกำลังพล</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</REQUESTID>
		<TRANSFERDATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Transfer Date</DESC_ENG>
			<DESC_THAI>วันที่โอนเข้าฐานข้อมูล</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Transfer date</ALT_ENG>
				<ALT_THAI>วันที่โอนเข้าฐานข้อมูล</ALT_THAI>
			</COMPONENT>
		</TRANSFERDATE>
	<COMPANYID lang="A" encrypt="false" verify="true" log="true" type="String">
		<WIDTH>10</WIDTH>
		<KEY>2</KEY>
		<DESC_ENG>COMPANYID </DESC_ENG>
		<DESC_THAI>รหัสบริษัท</DESC_THAI>
		<COMPONENT type="text">
			<MAXSIZE>10</MAXSIZE>
			<SIZE>10</SIZE>
			<ALT_THAI>รหัสบริษัท</ALT_THAI>
			<ALT_ENG>COMPANYID </ALT_ENG>
		</COMPONENT>
	</COMPANYID>
	<TRANSFERSTATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Transfer Status</DESC_ENG>
			<DESC_THAI>สถานะการโอน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>3</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>Transfer Status</ALT_ENG>
				<ALT_THAI>สถานะการโอน</ALT_THAI>
				<VALIDCODE>TRANSFERSTATUS</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
	</TRANSFERSTATUS>
	<EMPLOYEEID lang="A" encrypt="false" verify="false" log="false" type="String">
			<!-- <RELATION>MEMPLOYEE</RELATION> -->
			<WIDTH>15</WIDTH>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Employee ID</ALT_ENG>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
				<ONKEYUP>initialization(this.value,false);</ONKEYUP>
			</COMPONENT>
	</EMPLOYEEID>
	<EXP_STARTDATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Expected start date</DESC_ENG>
			<DESC_THAI>วันที่เริ่มทำงานได้</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Expected Start Date</ALT_ENG>
				<ALT_THAI>วันที่เริ่มทำงานได้</ALT_THAI>
			</COMPONENT>
	</EXP_STARTDATE>	
		<BRANCH lang="A" encrypt="false" log="false" type="String">
			<RELATION>MBRANCH</RELATION>
					<WIDTH>5</WIDTH>
					<DESC_ENG>Corperate</DESC_ENG>
					<DESC_THAI>บริษัท</DESC_THAI>
					<COMPONENT type="text">
						<MAXSIZE>5</MAXSIZE>
						<SIZE>5</SIZE>
						<ALT_THAI>บริษัท</ALT_THAI>
						<ALT_ENG>Corperate</ALT_ENG>
					</COMPONENT>
		</BRANCH>		
		<BU1 lang="A" encrypt="false" verify="false" log="false" type="String">
			<RELATION>MBU1</RELATION>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Division</DESC_ENG>
			<DESC_THAI>สาย</DESC_THAI>
			<COMPONENT type="text">
				<ALT_ENG>Division</ALT_ENG>
				<ALT_THAI>สาย</ALT_THAI>
				<SIZE>10</SIZE>
			</COMPONENT>
		</BU1>
		<BU2 lang="A" encrypt="false" verify="false" log="false" type="String">
			<RELATION>MBU2</RELATION>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Department</DESC_ENG>
			<DESC_THAI>แผนก/ฝ่าย</DESC_THAI>
			<COMPONENT type="text">
				<ALT_ENG>Department</ALT_ENG>
				<ALT_THAI>แผนก/ฝ่าย</ALT_THAI>
				<SIZE>10</SIZE>
			</COMPONENT>
		</BU2>
		<BU3 lang="A" encrypt="false" verify="false" log="false" type="String">
			<RELATION>MBU3</RELATION>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Unit</DESC_ENG>
			<DESC_THAI>งาน</DESC_THAI>
			<COMPONENT type="text">
				<ALT_ENG>Unit</ALT_ENG>
				<ALT_THAI>งาน</ALT_THAI>
				<SIZE>10</SIZE>
			</COMPONENT>
		</BU3>
		<OBJECTS_EMPLOYMENT lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Objects employment</DESC_ENG>
			<DESC_THAI>วัตถุประสงค์การจ้าง</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<VALUE>1</VALUE>
				<SIZE>1</SIZE>
				<ALT_ENG>Objects employment</ALT_ENG>
				<ALT_THAI>วัตถุประสงค์การจ้าง</ALT_THAI>
				<VALIDCODE>OBJECTS_EMPLOYMENT</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
		</OBJECTS_EMPLOYMENT>
		<EMPLOYMENT_STARTDATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Employment start date</DESC_ENG>
			<DESC_THAI>วันที่เริ่มทำสัญญา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Employment start date</ALT_ENG>
				<ALT_THAI>วันที่เริ่มทำสัญญา</ALT_THAI>
			</COMPONENT>
	   </EMPLOYMENT_STARTDATE>
	   <EMPLOYMENT_ENDDATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Employment end date</DESC_ENG>
			<DESC_THAI>วันที่สิ้นสุดทำสัญญา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Employment end date</ALT_ENG>
				<ALT_THAI>วันที่สิ้นสุดทำสัญญา</ALT_THAI>
			</COMPONENT>
	   </EMPLOYMENT_ENDDATE>	
	   <CONDITIONS_EMPLOYMENT lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Conditions employment</DESC_ENG>
			<DESC_THAI>เงื่อนไขการจ้าง</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<VALUE>1</VALUE>
				<SIZE>1</SIZE>
				<ALT_ENG>Conditions employment</ALT_ENG>
				<ALT_THAI>เงื่อนไขการจ้าง</ALT_THAI>
				<VALIDCODE>CONDITIONS_EMPLOYMENT</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
		</CONDITIONS_EMPLOYMENT>

		 <DAY_EXPERIMENTAL_WORK lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Day experimental work</DESC_ENG>
			<DESC_THAI>จำนวนวันทดลองงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Day experimental work</ALT_ENG>
				<ALT_THAI>จำนวนวันทดลองงาน</ALT_THAI>
			</COMPONENT>
	   </DAY_EXPERIMENTAL_WORK>	
	   <MEDICAL_EXAMINATION lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Medical examination</DESC_ENG>
			<DESC_THAI>ตรวจสุขภาพ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Medical examination</ALT_ENG>
				<ALT_THAI>ตรวจสุขภาพ</ALT_THAI>
				<VALIDCODE>MEDICAL_EXAMINATION</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
	   </MEDICAL_EXAMINATION>	
	   <CRIMINAL lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Criminal</DESC_ENG>
			<DESC_THAI>ตรวจลายนิ้วมือ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Criminal</ALT_ENG>
				<ALT_THAI>ตรวจลายนิ้วมือ</ALT_THAI>
				<VALIDCODE>CRIMINAL</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
	   </CRIMINAL>	
	   <OTHER lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Other</DESC_ENG>
			<DESC_THAI>อื่น ๆ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Other</ALT_ENG>
				<ALT_THAI>อื่น ๆ</ALT_THAI>
				<VALIDCODE>OTHER</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
	   </OTHER>
	    <OTHER_WORK lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>30</WIDTH>
			<DESC_ENG>Other</DESC_ENG>
			<DESC_THAI>อื่น ๆ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>30</MAXSIZE>
				<SIZE>30</SIZE>
				<ALT_ENG>Other</ALT_ENG>
				<ALT_THAI>อื่น ๆ</ALT_THAI>
			</COMPONENT>
	   </OTHER_WORK>	
	     <!-- edit by bom 24/12/2556-->
	   <TRANSFERSTATUS_SEND lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>3</WIDTH>
			<DESC_ENG>Transfer Status</DESC_ENG>
			<DESC_THAI>สถานะการโอนส่งออก</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>3</SIZE>
				<MAXSIZE>3</MAXSIZE>
				<ALT_ENG>Transfer Status</ALT_ENG>
				<ALT_THAI>สถานะการโอนส่งออก</ALT_THAI>
				<VALIDCODE>TRANSFERSTATUS_SEND</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
	</TRANSFERSTATUS_SEND>
	<!-- end edit by bom  24/12/2556-->
	</FIELD>
	<RELATION>
	<MCANDIDATERE>
		<PARENT>MAPPTRAN.APPLICANTID</PARENT>
		<PARENT>MAPPTRAN.COMPANYID</PARENT>
		<CHILD>MCANDIDATERE.APPLICANTID</CHILD>
		<CHILD>MCANDIDATERE.COMPANYID</CHILD>
	</MCANDIDATERE>
	<MREQUEST>
		<PARENT>MAPPTRAN.REQUESTID</PARENT>
		<PARENT>MAPPTRAN.COMPANYID</PARENT>
		<CHILD>MREQUEST.REQUESTID</CHILD>
		<CHILD>MREQUEST.COMPANYID</CHILD>
	</MREQUEST>
	<MBRANCH>
		<PARENT>MAPPTRAN.BRANCH</PARENT>
		<PARENT>MAPPTRAN.COMPANYID</PARENT>
		<CHILD>MBRANCH.BRANCHID</CHILD>
		<CHILD>MBRANCH.COMPANYID</CHILD>
	</MBRANCH>
	<MBU1>
		<PARENT>MAPPTRAN.BU1</PARENT>
		<PARENT>MAPPTRAN.COMPANYID</PARENT>
		<CHILD>MBU1.BU1ID</CHILD>
		<CHILD>MBU1.COMPANYID</CHILD>
	</MBU1>
	<MBU2>
		<PARENT>MAPPTRAN.BU2</PARENT>
		<PARENT>MAPPTRAN.COMPANYID</PARENT>
		<CHILD>MBU2.BU2ID</CHILD>
		<CHILD>MBU2.COMPANYID</CHILD>
	</MBU2>
	<MBU3>
		<PARENT>MAPPTRAN.BU3</PARENT>
		<PARENT>MAPPTRAN.COMPANYID</PARENT>
		<CHILD>MBU3.BU3ID</CHILD>
		<CHILD>MBU3.COMPANYID</CHILD>
	</MBU3>
	</RELATION>
</MAPPTRAN>
